summaryrefslogtreecommitdiffstats
path: root/initramfs/uclib-rootfs/usr/bin
diff options
context:
space:
mode:
Diffstat (limited to 'initramfs/uclib-rootfs/usr/bin')
l---------initramfs/uclib-rootfs/usr/bin/captoinfo1
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/clearbin0 -> 5156 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/getent67
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/infocmpbin0 -> 42312 bytes
l---------initramfs/uclib-rootfs/usr/bin/infotocap1
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/lddbin0 -> 9472 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/ncurses5-config156
l---------initramfs/uclib-rootfs/usr/bin/reset1
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/tackbin0 -> 124244 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/ticbin0 -> 42364 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/toebin0 -> 29960 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/tputbin0 -> 9460 bytes
-rwxr-xr-xinitramfs/uclib-rootfs/usr/bin/tsetbin0 -> 34160 bytes
13 files changed, 226 insertions, 0 deletions
diff --git a/initramfs/uclib-rootfs/usr/bin/captoinfo b/initramfs/uclib-rootfs/usr/bin/captoinfo
new file mode 120000
index 00000000..4c747a3f
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/captoinfo
@@ -0,0 +1 @@
+tic \ No newline at end of file
diff --git a/initramfs/uclib-rootfs/usr/bin/clear b/initramfs/uclib-rootfs/usr/bin/clear
new file mode 100755
index 00000000..cc3122fe
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/clear
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/getent b/initramfs/uclib-rootfs/usr/bin/getent
new file mode 100755
index 00000000..acb01403
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/getent
@@ -0,0 +1,67 @@
+#!/bin/sh
+# $Header: /var/cvs/uClibc/extra/scripts/getent,v 1.2 2005/02/02 14:18:01 solar Exp $
+
+search_entry() {
+ if [ -e "$1" ] ; then
+ /bin/egrep -v "^#" $1 | /bin/sed 's/#.*$//' | /bin/egrep "${string}" | /bin/sed -n 1p
+ retval=$?
+ [ "$retval" = 0 ] || retval=2
+ else
+ retval=2
+ fi
+}
+
+if [ -z "$1" ] ; then
+ echo "getent: wrong number of arguments" 1>&2
+ exit 1
+fi
+
+file="/etc/$1"
+string="dummy"
+
+if [ ! -f "$file" ] ; then
+ echo "Unknown database: $1" 1>&2
+ exit 1
+fi
+
+#aliases|ethers|group|hosts|netgroup|networks|passwd|protocols|rpc|services|shadow)
+# dns based search is not supported for hosts|networks
+# ethers|netgroup (not done, needed)?
+# it returns only the first match
+case $1 in
+ passwd)
+ string="(^\<$2\>:|^.*:.*:\<$2\>:.*:.*:.*:.*)"
+ ;;
+ group)
+ string="(^|:)\<$2\>:"
+ ;;
+ shadow)
+ string="^\<$2\>:"
+ ;;
+ aliases)
+ if [ -f /etc/postfix/aliases ] ; then
+ file="/etc/postfix/aliases"
+ elif [ -f /etc/mail/aliases ] ; then
+ file="/etc/mail/aliases"
+ fi
+ string="^\<$2\>:"
+ ;;
+ networks)
+ string="^\<$2\>"
+ ;;
+ hosts|protocols|rpc|services)
+ string="\<$2\>"
+ ;;
+ *)
+ echo "Unknown database: $1"
+ exit 1
+ ;;
+esac
+
+if [ -z "$2" ] ; then
+ exec cat $file
+else
+ search_entry "$file" "$2"
+fi
+
+exit $retval
diff --git a/initramfs/uclib-rootfs/usr/bin/infocmp b/initramfs/uclib-rootfs/usr/bin/infocmp
new file mode 100755
index 00000000..4ce8e3cb
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/infocmp
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/infotocap b/initramfs/uclib-rootfs/usr/bin/infotocap
new file mode 120000
index 00000000..4c747a3f
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/infotocap
@@ -0,0 +1 @@
+tic \ No newline at end of file
diff --git a/initramfs/uclib-rootfs/usr/bin/ldd b/initramfs/uclib-rootfs/usr/bin/ldd
new file mode 100755
index 00000000..4e3291de
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/ldd
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/ncurses5-config b/initramfs/uclib-rootfs/usr/bin/ncurses5-config
new file mode 100755
index 00000000..bef48cd7
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/ncurses5-config
@@ -0,0 +1,156 @@
+#!/bin/sh
+# $Id: ncurses-config.in,v 1.11 2006/10/28 20:22:52 tom Exp $
+##############################################################################
+# Copyright (c) 2006 Free Software Foundation, Inc. #
+# #
+# Permission is hereby granted, free of charge, to any person obtaining a #
+# copy of this software and associated documentation files (the "Software"), #
+# to deal in the Software without restriction, including without limitation #
+# the rights to use, copy, modify, merge, publish, distribute, distribute #
+# with modifications, sublicense, and/or sell copies of the Software, and to #
+# permit persons to whom the Software is furnished to do so, subject to the #
+# following conditions: #
+# #
+# The above copyright notice and this permission notice shall be included in #
+# all copies or substantial portions of the Software. #
+# #
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR #
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, #
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL #
+# THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER #
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING #
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER #
+# DEALINGS IN THE SOFTWARE. #
+# #
+# Except as contained in this notice, the name(s) of the above copyright #
+# holders shall not be used in advertising or otherwise to promote the sale, #
+# use or other dealings in this Software without prior written #
+# authorization. #
+##############################################################################
+#
+# Author: Thomas E. Dickey, 2006
+
+prefix="/usr"
+exec_prefix="${prefix}"
+
+bindir="${exec_prefix}/bin"
+libdir="/lib"
+datadir="/usr/share"
+mandir="/usr/share/man"
+
+THIS="ncurses"
+
+test $# = 0 && exec /bin/sh $0 --error
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*)
+ ARG=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'`
+ ;;
+ *)
+ ARG=
+ ;;
+ esac
+
+ case "$1" in
+ # basic configuration
+ --prefix=*)
+ prefix="$ARG"
+ test -z "$exec_prefix" && exec_prefix="$ARG"
+ ;;
+ --prefix)
+ echo "$prefix"
+ ;;
+ --exec-prefix=*)
+ exec_prefix="$ARG"
+ ;;
+ --exec-prefix)
+ echo "$exec_prefix"
+ ;;
+ # compile/link
+ --cflags)
+ INCS=
+ if test "${prefix}/include" != /usr/include ; then
+ INCS="-I${prefix}/include"
+ fi
+ if test "" != no ; then
+ INCS="$INCS -I${prefix}/include/${THIS}"
+ fi
+ sed -e 's,^[ ]*,,' -e 's, [ ]*, ,g' -e 's,[ ]*$,,' <<-ENDECHO
+ $INCS
+ENDECHO
+ ;;
+ --libs)
+ sed -e 's,^[ ]*,,' -e 's, [ ]*, ,g' -e 's,[ ]*$,,' <<-ENDECHO
+ -L${exec_prefix}/lib -l${THIS}
+ENDECHO
+ ;;
+ # identification
+ --version)
+ echo "5.6.20061217"
+ ;;
+ --abi-version)
+ echo "5"
+ ;;
+ --mouse-version)
+ echo "1"
+ ;;
+ # locations
+ --bindir)
+ echo "${bindir}"
+ ;;
+ --datadir)
+ echo "${datadir}"
+ ;;
+ --libdir)
+ echo "${libdir}"
+ ;;
+ --mandir)
+ echo "${mandir}"
+ ;;
+ --terminfo)
+ echo "/usr/share/terminfo"
+ ;;
+ --terminfo-dirs)
+ echo "/etc/terminfo:/usr/share/terminfo"
+ ;;
+ --termpath)
+ echo ""
+ ;;
+ # general info
+ --help)
+ cat <<ENDHELP
+Usage: ${THIS}-config [options]
+
+Options:
+ --prefix echos the package-prefix of ${THIS}
+ --prefix=ARG sets the package-prefix of ${THIS}
+ --exec-prefix echos the executable-prefix of ${THIS}
+ --exec-prefix=ARG sets the executable-prefix of ${THIS}
+
+ --cflags echos the C compiler flags needed to compile with ${THIS}
+ --libs echos the libraries needed to link with ${THIS}
+
+ --version echos the release+patchdate version of ${THIS}
+ --abi-version echos the ABI version of ${THIS}
+ --mouse-version echos the mouse-interface version of ${THIS}
+
+ --bindir echos the directory containing ${THIS} programs
+ --datadir echos the directory containing ${THIS} data
+ --libdir echos the directory containing ${THIS} libraries
+ --mandir echos the directory containing ${THIS} manpages
+ --terminfo echos the \$TERMINFO terminfo database path
+ --terminfo-dirs echos the \$TERMINFO_DIRS directory list
+ --termpath echos the \$TERMPATH termcap list
+
+ --help prints this message
+ENDHELP
+ ;;
+ --error|*)
+ /bin/sh $0 --help 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done
+# vile:shmode
diff --git a/initramfs/uclib-rootfs/usr/bin/reset b/initramfs/uclib-rootfs/usr/bin/reset
new file mode 120000
index 00000000..73c17909
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/reset
@@ -0,0 +1 @@
+tset \ No newline at end of file
diff --git a/initramfs/uclib-rootfs/usr/bin/tack b/initramfs/uclib-rootfs/usr/bin/tack
new file mode 100755
index 00000000..2ff51ea0
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/tack
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/tic b/initramfs/uclib-rootfs/usr/bin/tic
new file mode 100755
index 00000000..1104ffea
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/tic
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/toe b/initramfs/uclib-rootfs/usr/bin/toe
new file mode 100755
index 00000000..d2189560
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/toe
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/tput b/initramfs/uclib-rootfs/usr/bin/tput
new file mode 100755
index 00000000..18be1648
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/tput
Binary files differ
diff --git a/initramfs/uclib-rootfs/usr/bin/tset b/initramfs/uclib-rootfs/usr/bin/tset
new file mode 100755
index 00000000..ac8f6b21
--- /dev/null
+++ b/initramfs/uclib-rootfs/usr/bin/tset
Binary files differ